<?php

/*
 * Plugin Name: Skytec Woo Sync
 * Description: Syncs products from Skytec to WooCommerce
 * Plugin URI: https://devhuset.no
 * Author: Devhuset AS
 * Author URI: https://devhuset.no
 * Version: 1.0.39
 * License: GPL2+
 * License URI: https://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain: skytec-woo-sync
 * Requires at least: 5.0
 * Requires PHP: 8.1
 */

declare(strict_types=1);
namespace Skytec;

if (!defined('ABSPATH')) {
    die('Silence is golden.');
}

if (!defined('SKYTEC_CURRENT_VERSION')) {
    define('SKYTEC_CURRENT_VERSION', '1.0.39');
}

if (!defined('SKYTEC_PLUGIN_DIR')) {
    define('SKYTEC_PLUGIN_DIR', WP_PLUGIN_DIR . '/' . plugin_basename(__DIR__));
}

if (!defined('SKYTEC_RELATIVE_PLUGIN_DIR')) {
    define('SKYTEC_RELATIVE_PLUGIN_DIR', plugin_basename(__DIR__));
}

if (!defined('SKYTEC_PLUGIN_FILE')) {
    define('SKYTEC_PLUGIN_FILE', WP_PLUGIN_DIR . '/' . plugin_basename(__FILE__));
}

if (!defined('SKYTEC_RELATIVE_PLUGIN_FILE')) {
    define('SKYTEC_RELATIVE_PLUGIN_FILE', plugin_basename(__FILE__));
}



if (!function_exists('write_log')) {
    function write_log($log)
    {
        if (true === WP_DEBUG) {
            if (is_array($log) || is_object($log)) {
                error_log(print_r($log, true));
            } else {
                error_log($log);
            }
        }
    }
}

require SKYTEC_PLUGIN_DIR . '/update.php';
require SKYTEC_PLUGIN_DIR . '/api/methods.php';
require SKYTEC_PLUGIN_DIR . '/recaptcha.php';
require SKYTEC_PLUGIN_DIR . '/cron.php';
require SKYTEC_PLUGIN_DIR . '/woo.php';
require SKYTEC_PLUGIN_DIR . '/user.php';
require SKYTEC_PLUGIN_DIR . '/business.php';

