<?php

remove_role('subscriber');
remove_role('customer');
remove_role('shop_manager');
remove_role('editor');
remove_role('author');
remove_role('contributor');

add_role(
    'skytec_customer',
    'Skytec Customer',
    array(
        'read' => true,
        'edit_posts' => false,
        'delete_posts' => false,
    )
);

function register_user_sky()
{
    $token = $_POST['g-recaptcha-response'];

    if (!isset($token) || empty($token)) {
        return wp_redirect('/error');
    }

    if (!sky_verify_recaptcha($token)) {
        return wp_redirect('/error');
    }

    global $wpdb;

    $first_name = sanitize_text_field($_POST['first_name']);
    $last_name = sanitize_text_field($_POST['last_name']);
    $user_email = sanitize_text_field($_POST['user_email']);
    $username = sanitize_text_field($_POST['user_email']);
    $user_phone = sanitize_text_field($_POST['user_phone']);
    $user_password = $_POST['user_password'];

    // check if customr with phone number exists in wordpress
    $customer_exists_in_wp = $wpdb->get_var(
        $wpdb->prepare(
            "SELECT * FROM {$wpdb->prefix}usermeta WHERE meta_key = 'billing_phone' AND meta_value = %s",
            $user_phone
        )
    );

    if ($customer_exists_in_wp) {
        return wp_redirect('/error');
    }

    if (!is_email($user_email)) {
        return wp_redirect('/error');
    }

    if (email_exists($user_email)) {
        return wp_redirect('/error');
    }

    if (username_exists($username)) {
        return wp_redirect('/error');
    }

    $user_id = wp_create_user($username, $user_password, $user_email);

    if (is_wp_error($user_id)) {
        return wp_redirect('/error');
    }

    $user = new WP_User($user_id);

    $user->set_role('skytec_customer');

    update_user_meta($user_id, 'pw_user_status', 'approved');
    update_user_meta($user_id, 'first_name', $first_name);
    update_user_meta($user_id, 'last_name', $last_name);
    update_user_meta($user_id, 'billing_phone', $user_phone);

    $customer_exists = getCustomerByPhone($user_phone);

    if (!$customer_exists) {
        $data = array(
            'Name' => $first_name . ' ' . $last_name,
            'Telephone' => $user_phone,
            'Email' => $user_email,
        );

        $created_customer = createCustomerSky($data);

        if ($created_customer) {
            add_user_meta($user_id, 'sky_customer_id', $created_customer->CustomerID, true);

            wp_signon(
                array(
                    'user_login' => $username,
                    'user_password' => $user_password,
                    'remember' => true,
                )
            );

            return wp_redirect(home_url() . '/min-side');
        }
    }

    add_user_meta($user_id, 'sky_customer_id', $customer_exists->CustomerID, true);

    wp_signon(
        array(
            'user_login' => $username,
            'user_password' => $user_password,
            'remember' => true,
        )
    );

    return wp_redirect(home_url() . '/min-side');

}

add_action('admin_post_nopriv_sky_customer_registration', 'register_user_sky', 20, 3);